SPINE(1)

NAME
SPINE - Data Collector for Cacti

SYNOPSIS
spine [options] [[firstid lastid] || [-H/--hostlist='hostid1,hostid2,...,hostidn']]

DESCRIPTION
SPINE 1.2.31 Copyright 2004-2024 by The Cacti Group

OPTIONS

-h/--help
    Show this brief help listing

-f/--first=X
    Start polling with host id X

-l/--last=X
    End polling with host id X

-H/--hostlist=X
    Poll the list of host ids, separated by comma's

-p/--poller=X
    Set the poller id to X

-t/--threads=X
    Override the database threads setting.

-C/--conf=F
    Read spine configuration from file F

-O/--option=S:V
    Override DB settings 'set' with value 'V'

-M/--mibs
    Refresh the device System Mib data

-N/--mode=online
    For remote pollers, the operating mode. Options include: online, offline, recovery. The default is 'online'.

-R/--readonly
    Spine will not write output to the DB

-S/--stdout
    Logging is performed to standard output

-P/--pingonly
    Ping device and update device status only

-V/--verbosity=V
    Set logging verbosity to <V>

Either both of --first/--last must be provided, a valid hostlist must be provided. In their absence, all hosts are processed.

Without the --conf parameter, spine searches for its spine.conf file in the usual places.

Verbosity is one of NONE/LOW/MEDIUM/HIGH/DEBUG or 1..5

Runtime options are read from the 'settings' table in the Cacti database, but they can be overridden with the --option=S:V parameter.

Spine is distributed under the Terms of the GNU Lesser General Public License Version 2.1. (http://www.gnu.org/licenses/lgpl.txt) For more information, see http://www.cacti.net